Bug 523483 - First time a (wired|vpn) connection is added by user, nm-connection-editor says it cannot save the configuration
Summary: First time a (wired|vpn) connection is added by user, nm-connection-editor sa...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-15 16:50 UTC by Marius Andreiana
Modified: 2014-06-16 21:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:40:01 UTC


Attachments (Terms of Use)

Description Marius Andreiana 2009-09-15 16:50:32 UTC
Steps to Reproduce:
1. login as a non-root user
2. open nm-connection-editor from applet
3. add a (wired|vpn) connection
  
Actual results:
error - cannot add the connection

Expected results:
success

Additional info:
Try it again and it works.
Reproduced twice, after restarting the OS.

Comment 1 Dan Williams 2009-11-07 03:38:29 UTC
Are you checking the "Available for all users" box?

Also, please try this update:

NetworkManager-0.7.1.998-1.fc11 has been pushed to the Fedora
11 testing repository.  If problems still persist, please make note of it in
this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update NetworkManager'.  You can provide feedback for this update
here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10696

Comment 2 surfhandel 2010-03-17 16:24:29 UTC
Related bug in Fedora 12; making a vpn setup(non-root) the first time goes fine but when later trying to change security and authentication under the advanced PPTP options it will not save the changes(always falls back to no MPPE and 128-bit and no stateful encryption, and unable to disable authentication on PAP, CHAP, EPA(only using MSCHAPv2)), compression and echo options are not affected. No error message is given. Checking "Available for all users" box will not help.

However establishing a vpn connection shows in the logs that:

"localhost pppd[8481]: CHAP authentication succeeded
localhost pppd[8481]: MPPE 128-bit stateless compression enabled"

Exporting vpn configuration will not work and gives error message, "unknown error".

Comment 3 Bug Zapper 2010-04-28 10:23:02 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Dan Williams 2010-06-10 04:52:04 UTC
(In reply to comment #2)
> Related bug in Fedora 12; making a vpn setup(non-root) the first time goes fine
> but when later trying to change security and authentication under the advanced
> PPTP options it will not save the changes(always falls back to no MPPE and
> 128-bit and no stateful encryption, and unable to disable authentication on
> PAP, CHAP, EPA(only using MSCHAPv2)), compression and echo options are not
> affected. No error message is given. Checking "Available for all users" box
> will not help.

Try this update (or a more recent one):

https://admin.fedoraproject.org/updates/NetworkManager-0.7.2.996-1.fc11,NetworkManager-vpnc-0.7.2.996-1.fc11,NetworkManager-openconnect-0.7.2.996-1.fc11,NetworkManager-pptp-0.7.2.996-1.fc11,NetworkManager-openvpn-0.7.2.996-1.fc11

which includes some fixes to MPPE handling in the UI.  You can do this by:

yum --enablerepo=updates-testing update NetworkManager-pptp

Comment 5 Bug Zapper 2010-06-28 14:40:01 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.